<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** version 20210424 ****************************/
############################################################################
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('SPC 1982-2011 Severe Weather Probabilities');
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
$narrowWidth = 656; // Set narrow width here
$wideWidth = 935; // Maximum width of maps
$divWidth = 656; // Set Width
if ($divWidth<$narrowWidth) $divWidth = $narrowWidth;
if ($divWidth>$wideWidth) $divWidth = $wideWidth;
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	function showHazardsjs(theday,hazard) { 
		$('#showHazard').load('wxspc-all-probsevere-include.php', {theday:theday,hazard:hazard,divWidth:<?php echo $divWidth?>,wideWidth:<?php echo $wideWidth?>});
	}
	function showTheDayjs(theday,hazard) { 
		$('#showHazard').load('wxspc-all-probsevere-include.php', {theday:theday,hazard:hazard,divWidth:<?php echo $divWidth?>,wideWidth:<?php echo $wideWidth?>});
	}
}
</script>
<style type="text/css">
.center {
	width:100%;
	margin-left:auto;
	margin-right:auto;
}
</style>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
$dayofYear = date('z')+2;
if ($dayofYear<10) {
	$dayofYear = '00'.$dayofYear;
} else if ($dayofYear<100) {
	$dayofYear = '0'.$dayofYear;
}
$theday = $dayofYear;
$hazard = 'any_severe';
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth) ?>px; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:inset">
<?php }	?>
	<div class="center" style="width:<?php echo ($_SESSION['CSSwidescreen']==1?$wideWidth:$divWidth)?>px">
	<br/><h2 align="center"><?php langtrans('SPC Severe Weather Probabilities (1982-2011 Data)')?><br/></h2>
    <div class="center">
      <?php include ('wxspc-all-probsevere-select.php');?>
      </div>
			<?php		include ('wxspc-all-probsevere-include.php');
			?>
		</div>
  <h4 align="center"><a href="https://www.spc.noaa.gov/new/SVRclimo/climo.php?parm=anySvr" title="Annual Loop by Week">Annual Loops by Week</a></h4>
</div><!-- end main-copy -->
<?php
############################################################################
include("footer.php");
############################################################################
# End of Page
############################################################################
?>